[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TBinaryObjectReader.Create

Creates a new binary data reader instance.

## Declaration

Source position: classesh.inc line 1283

`public constructor TBinaryObjectReader.Create(`
`Stream: TStream;`
`BufSize: Integer`
`);`

## Description

Create instantiates a new binary component data reader. The Stream stream is the stream from which data will be read. The BufSize argument is the size of the internal buffer that will be used by the reader. This can be used to optimize the reading process.

## See also

TAbstractObjectReader |  | Abstract driver class to read stored component data.